Starmade | Missiles fired cross sector bypass shields
Resolved, needs quality check / confirm fix, Pre-Release Quality AssurancePublic

Description

Cannons and beams seem to bypass the shields and doing hull damage.
Shield was at 100% all the time. Tested by attacking the Trading Guild.

Details

Task Type
Bug
Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.201.105
Category
Control Block System: Systems
First occurrence (version)
0.201.089
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
uncertain
Steps to reproduce
  1. fire missile from different sector to a shielded entity
  2. missile should go through and deal directly damage to hull
Tester information (Internal use only)

Perhaps at the start it was mainly cannons and beams going through the shield due to the bug of T2849. That still appears to be working fine, but the remaining hull damage I saw happen was caused by missiles fired from a different sector than the shield group/entity was in.

Seems to happen for all missiles types (although it is expected of the bomb), it's possible the fix for the cannons and beams made it happen for missiles instead or already happened but went unnoticed.

Serverconfig (server.cfg)
 <replace this block with the file content, 
but do not remove the first and last line. 
Before using the paste function, mark the area from the 
opening angle bracket to the closing angle bracket>
Clientconfig (settings.cfg)
 <replace this block with the file content, 
but do not remove the first and last line. 
Before using the paste function, mark the area from the 
opening angle bracket to the closing angle bracket>

Related Objects

StatusAssignedTask
Resolvedlancake
lancake claimed this task.Jun 28 2018, 9:49 PM
lancake moved this task from New / Unconfirmed to Feedback on the Issue Navigation board.
lancake added a subscriber: lancake.

-feedback-

I'm not 100% sure if I'm getting the same issue as you. But from what I can see, the GUI does not report the correct shield HP if you shoot something that is in a different sector.

The HP stats themselves do get changed correctly though, it's just that the GUI reports either "charging at normal rate" when getting hit or "completely empty at 0%" when it goes down, as that seems to be the only thing triggering a GUI update.

Can you reproduce that as well?

lancake shifted this object from the S1 Public space to the S3 Starmade space.Jun 28 2018, 9:49 PM
lancake raised the priority of this task from "Normal" to "Pre-Release Quality Assurance".
lancake changed the visibility from "Custom Policy" to "Public (No Login Required)".
lancake changed the edit policy from "Task Author" to "Starmade (Project)".
lancake changed Affected Gamemode(s) from none/unspecified to Singleplayer.
lancake set First occurrence (version) to 0.201.089.
Restricted Application added a subscriber: AndyP. · View Herald TranscriptJun 28 2018, 9:49 PM

I tested it again. Insanth seems to completly ignore my shields this time. The shield indicator remained 100%, but in built mode I could see, that the actual value was fluctuating in a range, that fits the dmg values I expect of an Insanth (Shields remained 100%, because less then 1% changed of the shield value). So i believe, the shield value was recalculated correctly, but the weapons bypassed my shields because of some other reason.

The GUI only shows 100% for Reactor HP (for myself and for selected entities), although the reactor hp value is recalculated correctly, if the reactor gets hit. Maybe it goes to 0%, when the value reaches 0 (havent tested that).

lancake changed the task status from "Open" to "In Queue".Jul 5 2018, 9:54 AM

Those issues should be fixed, shield should report its percentage more accurate now and any shield bypass should also not happen anymore.
Could you give it another check? It seems to work fine for my setup where I could reproduce it before.

Restricted Application edited projects, added Game Development; removed Issue Navigation. · View Herald TranscriptJul 5 2018, 9:54 AM
lancake changed the task status from "In Queue" to "Resolved".Jul 5 2018, 9:55 AM
lancake changed Reproducible from uncertain to Yes.
lancake changed Last tested (version) from 0.201.089 to 0.201.102.
lancake changed Category from none/unspecified to Control Block System: Systems.
Restricted Application edited projects, added Quality Assurance, CBS: Systems; removed Game Development. · View Herald TranscriptJul 5 2018, 9:55 AM
lancake added a parent task: Unknown Object (Maniphest Task).Jul 5 2018, 9:55 AM

Tested it agan on .104
Had the same issue. Cannons and/or beams just ignore the shields.
I jumped to a pirate station and just let it fire on me (42M shields at 100%).
The just damage the hull.
Maybe this is related to the fact, that pirates or other NPC ships are based on the old power system.

Could you upload the blueprint of the ship you used? I can't reproduce it with my own ships, visited a random pirate station and fought a few NPC ships as well.
Maybe I got lucky or it's something specific to the ship.

In case you don't want the blueprint to be publicly available, send me a PM here with the blueprint https://phab.starma.de/conpherence/ (top left, click on + to create a new room)

lancake changed the task status from "Resolved" to "Feedback".Jul 6 2018, 6:24 PM
Restricted Application edited projects, added Issue Navigation, Waiting on Author; removed Quality Assurance. · View Herald TranscriptJul 6 2018, 6:24 PM
lancake changed the task status from "Feedback" to "In Queue".Jul 7 2018, 1:26 AM

-confirmed-

Perhaps at the start it was mainly cannons and beams going through the shield due to the bug of T2849. That still appears to be working fine, but the remaining hull damage I saw happen was caused by missiles fired from a different sector than the shield group/entity was in.

Seems to happen for all missiles types (although it is expected of the bomb), it's possible the fix for the cannons and beams made it happen for missiles instead or already happened but went unnoticed.

Restricted Application edited projects, added Game Development; removed Waiting on Author, Issue Navigation. · View Herald TranscriptJul 7 2018, 1:26 AM
lancake changed the title from "Cannons and Beams bypass shields" to "Missiles fired cross sector bypass shields".Jul 7 2018, 1:27 AM
lancake edited Steps to reproduce. (Show Details)
lancake edited Tester information (Internal use only). (Show Details)
lancake changed Affected Gamemode(s) from Singleplayer to Single and Multi.
lancake changed Last tested (version) from 0.201.102 to 0.201.105.
lancake changed the task status from "In Queue" to "Resolved".Jul 11 2018, 3:16 PM

Wrong status

Restricted Application edited projects, added Quality Assurance; removed Game Development. · View Herald TranscriptJul 11 2018, 3:16 PM